Bug 456883 - Memory error when configuring kdump by system-config-kdump
Memory error when configuring kdump by system-config-kdump
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
9
ppc64 All
low Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 09:10 EDT by IBM Bug Proxy
Modified: 2014-01-12 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 07:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-config-kdump-error (93.57 KB, image/jpeg)
2008-07-28 09:10 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 46755 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-07-28 09:10:50 EDT
=Comment: #0=================================================
Indhu Durai <IndhuDurai@in.ibm.com> - 2008-07-25 08:04 EDT
Problem description:

When 'system-config-kdump' is used to enable kdump, obtaining the following error.
[root@p550lp1 ~]# system-config-kdump 

(system-config-kdump.py:28842): Gdk-WARNING **: DESKTOP_STARTUP_ID contains
invalid UTF-8
[root@p550lp1 ~]# 
Also, i have captured the error and have attached. 

--------------------------------------------------------------------------------

If this is a customer issue, please indicate the impact to the customer:
No

--------------------------------------------------------------------------------

uname -a:
Linux p550lp1.in.ibm.com 2.6.25-14.fc9.ppc64 #1 SMP Thu May 1 05:49:24 EDT 2008
ppc64 ppc64 ppc64 GNU/Linux

Hardware Environment
    Machine type (p650, x235, SF2, etc.): p550
    Cpu type (Power4, Power5, IA-64, etc.):Power5

Is this reproducible? 
Yes
 
Describe the steps:
-------------------
=> Install the following rpms:
* kexec-tools-1.102pre-8.fc9.ppc64.rpm
* kernel-kdump-2.6.25-14.fc9.ppc64.rpm
* busybox-1.9.1-1.fc9.ppc64.rpm
* device-mapper-1.02.24-11.fc9.ppc64.rpm
* system-config-kdump-1.0.13-2.fc9.noarch.rpm
=> #system-config-kdump
(It opens the 'gui' with the error. It is captured and attached.)
=Comment: #1=================================================
Indhu Durai <IndhuDurai@in.ibm.com> - 2008-07-25 08:07 EDT

system-config-kdump-error

system-config-kdump-error
=Comment: #2=================================================
Edjunior Barbosa Machado <emachado@br.ibm.com> - 2008-07-25 08:21 EDT
Hi Indhu,

Just to clarify, is it against Fedora 9 Final?

Thanks.
=Comment: #3=================================================
Cijurajan Kollanoor <cijurajan@in.ibm.com> - 2008-07-25 08:33 EDT
Hi Indhu,
 The screenshot attached shows the kdump memory is configured as 1MB. Is this
the default value mentioned when you open system-config-kdump? Are you getting
the warning message immediately after running the system-config-command?

 What happens if the 'Ok' button is clicked? Will it allow to change the
configuration and proceed further?

 Is this a ppc sepcific problem? Did you observe it in any other architecture?

Thanks
Ciju
=Comment: #4=================================================
Edjunior Barbosa Machado <emachado@br.ibm.com> - 2008-07-25 17:04 EDT
Hi Indhu,

could you please provide the /proc/meminfo of this machine?

As far as I could see, system-config-kdump uses this file in order to calculate
available memory for kdump.

Thanks.
=Comment: #6=================================================
Indhu Durai <IndhuDurai@in.ibm.com> - 2008-07-28 02:11 EDT
(In reply to comment #2)
> Hi Indhu,
> 
> Just to clarify, is it against Fedora 9 Final?
> 
> Thanks.

Hi Emachado,

Yes, this is against Fedora 9 GA.

cheers,
Indhu Durai
=Comment: #7=================================================
Indhu Durai <IndhuDurai@in.ibm.com> - 2008-07-28 02:13 EDT
(In reply to comment #3)
> Hi Indhu,
>  The screenshot attached shows the kdump memory is configured as 1MB. Is this
> the default value mentioned when you open system-config-kdump? Are you getting
> the warning message immediately after running the system-config-command?
> 
>  What happens if the 'Ok' button is clicked? Will it allow to change the
> configuration and proceed further?
> 
>  Is this a ppc sepcific problem? Did you observe it in any other architecture?
> 
> Thanks
> Ciju

Hi Ciju,

After the screen shot error, i am seeing the following:

[root@p550lp1 ~]# system-config-kdump 

(system-config-kdump.py:28842): Gdk-WARNING **: DESKTOP_STARTUP_ID contains
invalid UTF-8
[root@p550lp1 ~]# 
(its coming back to the prompt. hence couldnot proceed further)

Since am testing only for 'PPC' architecture, am not sure whether this is
specific to ppc.

Cheers,
Indhu Durai
=Comment: #8=================================================
Indhu Durai <IndhuDurai@in.ibm.com> - 2008-07-28 02:38 EDT
(In reply to comment #4)
> Hi Indhu,
> 
> could you please provide the /proc/meminfo of this machine?
> 
> As far as I could see, system-config-kdump uses this file in order to calculate
> available memory for kdump.
> 
> Thanks.

Hi Emachado,

Pls find the /proc/meminfo contents below:

MemTotal:      1690896 kB
MemFree:         28336 kB
Buffers:        158956 kB
Cached:        1238752 kB
SwapCached:         32 kB
Active:         709956 kB
Inactive:       717188 kB
SwapTotal:     2031608 kB
SwapFree:      2031576 kB
Dirty:               4 kB
Writeback:           0 kB
AnonPages:       29340 kB
Mapped:          18440 kB
Slab:           206024 kB
SReclaimable:   140384 kB
SUnreclaim:      65640 kB
PageTables:       1824 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   2877056 kB
Committed_AS:   151712 kB
VmallocTotal: 8589934592 kB
VmallocUsed:      5208 kB
VmallocChunk: 8589928740 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
HugePages_Surp:      0
Hugepagesize:    16384 kB

Cheers,
Indhu Durai
=Comment: #10=================================================
Cijurajan Kollanoor <cijurajan@in.ibm.com> - 2008-07-28 06:37 EDT
The warning message comes from the file
'/usr/share/system-config-kdump/system-config-kdump.py' This happens of this
code snippet

if self.arch == 'ia64':
            # ia64 needs at least 256M, page-aligned
            lowerBound = 256
            step = 256
        elif self.arch == 'ppc64':
            lowerBound = 256
#            minUsable = 2048

upperBound = (totalMem - minUsable) - (totalMem % step)

if upperBound < lowerBound:
            self.showErrorMessage(_("This system does not have enough "
                                    "memory for kdump to be viable"))
            sys.exit(1)



If the architecture is ppc64, minimum usable memory is specified as 2048.

In this particular case 

totalMem = 1779
minUsable = 2048
step = 64
lowerBound = 256

upperBound = (1779 - 2048) - (1779%64)
           = -320

So the question is, why the minimum usable memory is specified as 2048MB in the
case of ppc64
=Comment: #12=================================================
Cijurajan Kollanoor <cijurajan@in.ibm.com> - 2008-07-28 06:44 EDT
This is the original code snippet from
'/usr/share/system-config-kdump/system-config-kdump.py'. If we comment out
'minUsable = 2048', everything works fine.


        if self.arch == 'ia64':
            # ia64 needs at least 256M, page-aligned
            lowerBound = 256
            step = 256
        elif self.arch == 'ppc64':
            lowerBound = 256
            minUsable = 2048
Comment 1 IBM Bug Proxy 2008-07-28 09:10:53 EDT
Created attachment 312769 [details]
system-config-kdump-error
Comment 2 Neil Horman 2008-07-28 10:24:57 EDT
IIRC, the recommended amount of useable memory on a ppc64 system for RHEL5 is
2GB.  By configuraing kdump on this system, you are reducing your memory
available below that threshhold, and so its not letting you configure.  You can
always work around this limit by configuraing kdump manually.  I see an argument
for reducing that minimum to 1GB, since that is the required minimum, but thats
a question for the s-c-kdump owner.  reassigning component.
Comment 3 IBM Bug Proxy 2008-08-01 04:41:28 EDT
------- Comment From cijurajan@in.ibm.com 2008-08-01 04:39 EDT-------
Redhat, Any updates?
Comment 4 IBM Bug Proxy 2008-08-10 12:50:54 EDT
Redhat,
Any plans of reducing the limit minUsable from 2048 to a lesser value?

Thanks
Ciju
Comment 5 IBM Bug Proxy 2008-08-20 09:40:40 EDT
Redhat, Any updates?
Comment 6 IBM Bug Proxy 2008-09-03 03:10:37 EDT
Redhat, Any updates?
Comment 7 IBM Bug Proxy 2008-09-25 04:00:31 EDT
Redhat, Could you please give an update on this bug? Thanks!
Comment 8 IBM Bug Proxy 2008-12-02 00:50:58 EST
I checked this issue in two systems,
1. System which has memory only 500 MB - gives error "This system does not have enough memory for kdump to be viable"
2. System which has  memory 2.5 GB - does not give any error.
Comment 9 IBM Bug Proxy 2008-12-02 04:01:21 EST
Redhat,

We are closing this bug as ALT_SOLUTION_AVAILABLE. Since it is possible to configure kdump through command line, without using system-config-kdump.

Thanks
Ciju
Comment 10 Fedora Admin XMLRPC Client 2009-04-08 04:10:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Bug Zapper 2009-06-09 22:16:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Roman Rakus 2009-06-10 07:28:01 EDT
OK. Closing as Rawhide. This should be fixed in rawhide - there is newer version.

Note You need to log in before you can comment on or make changes to this bug.